"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductRouter = void 0;
const express_1 = require("express");
const product_record_1 = require("../records/product.record");
const errors_1 = require("../utils/errors");
exports.ProductRouter = (0, express_1.Router)();
exports.ProductRouter
    .get('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const productsList = yield product_record_1.ProductRecord.listAll();
    res.json({
        productsList,
    });
}))
    .get('/:productid', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const product = yield product_record_1.ProductRecord.getOne(req.params.productid);
    res.json({
        product,
    });
}))
    .delete('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const product = yield product_record_1.ProductRecord.getOne(req.params.id);
    if (!product) {
        throw new errors_1.ValidationError('Brak takiego produktu.');
    }
    ;
    yield product.delete();
    res.end();
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const newProduct = new product_record_1.ProductRecord(req.body);
    yield newProduct.insert();
    res.json(newProduct);
}));
//# sourceMappingURL=product.js.map